require "mqtt"
require "json"

class MqttReader
  def get_temp
    client = MQTT::Client.new
    client.host = 'mqtt.labict.be'
    client.connect()
    temperature_topic ='softwareengineering/thermostat/enzo/temperature'
    while true
      client.get(temperature_topic) do |topic,message|
        puts "#{topic}: #{message}"
        json = message
        hash = JSON.parse(json)
        temp = (hash["temperature"]).to_f
        @on_change_block.call(temp) unless @on_change_block.nil?
      end
    end
  end


  def on_change &block
    @on_change_block = block
  end

  def send(color)
    client = MQTT::Client.connect('mqtt.labict.be')
    hash2 = {"color" => color}
    payload = JSON.generate(hash2)
    client.publish('softwareengineering/thermostat/enzo/led', payload, retain = false)
  end
end
