require_relative "relais.rb"
class Thermostat
  def initialize()
    @heating = Relais.new
    @cooling = Relais.new
  end

  def set(value)
    if value > 0
      @heating.on
      @cooling.off
    end

    if value < 0
      @heating.off
      @cooling.on
    end

    if value == 0
      @heating.off
      @cooling.off
    end
  end

  def run()
    p "The heating is #{@heating.status}"
    p "The cooling is #{@cooling.status}"
  end
end
