require_relative "url_reader.rb"
require_relative "form.rb"
require_relative "leds.rb"
require_relative "calc.rb"
require_relative "system.rb"

foo = Form.new
calc = Calc.new
led = Led.new
url = Url_reader.new
thermostat = Thermostat.new

url.url
foo.ask_temp
foo.ask_unit
foo.ask_range
foo.ask_limit

temp = foo.get_temp
unit = foo.get_unit
range = foo.get_range
limit = foo.get_limit
calclimit = calc.temperatuur(temp,limit,range)

puts temp
puts unit
puts range
puts limit

ctemp = calc.convertToCelsius(temp,unit)
p ctemp
intensity = calc.intensityOfLeds(ctemp,limit,range)
led.set_color(intensity)
p led.get_color
thermostat.set(intensity)
thermostat.run
